PreferenceChangeEvent (Java 2 Platform SE v1.4.1_"07")

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.util.prefs
Class PreferenceChangeEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--java.util.prefs.PreferenceChangeEvent

All Implemented Interfaces:
  Serializable

public class PreferenceChangeEvent
extends EventObject

An event emitted by a `Preferences` node to indicate that a preference has been added, removed or has had its value changed.

Note, that although PreferenceChangeEvent inherits Serializable interface from EventObject, it is not intended to be Serializable. Appropriate serialization methods are implemented to throw NotSerializableException.

Since:
  1.4
See Also:
  `Preferences`, `PreferenceChangeListener`, `NodeChangeEvent`

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`PreferenceChangeEvent(Preferences node, String key, String newValue)` Constructs a new `PreferenceChangeEvent` instance.

Method Summary
`String` | `getKey()` Returns the key of the preference that was changed.
`String` | `getNewValue()` Returns the new value for the preference.
`Preferences` | `getNode()` Returns the preference node that emitted the event.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PreferenceChangeEvent

    public PreferenceChangeEvent(Preferences node,
                                 String key,
                                 String newValue)

  Constructs a new `PreferenceChangeEvent` instance.

Parameters:
  `node` - The Preferences node that emitted the event.
  `key` - The key of the preference that was changed.
  `newValue` - The new value of the preference, or `null` if the preference is being removed.

Method Detail

### getNode

    public Preferences getNode()

  Returns the preference node that emitted the event.

  Returns:
    The preference node that emitted the event.

### getKey

    public String getKey()

  Returns the key of the preference that was changed.

  Returns:
    The key of the preference that was changed.

### getNewValue

    public String getNewValue()

  Returns the new value for the preference.

  Returns:
    The new value for the preference, or `null` if the preference was removed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2002 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.